Ogre::RTShader::SubRenderStateAccessor Class Reference
RTShader

This class uses as accessor from a template SubRenderState to all of its instances that created based on it. More...

`#include <OgreShaderSubRenderState.h>`

List of all members.

## Public Member Functions

void | addSubRenderStateInstance (SubRenderState *subRenderState) const
| Add SubRenderState instance to this accessor.
void | removeSubRenderStateInstance (SubRenderState *subRenderState) const
| Remove SubRenderState instance to this accessor.
SubRenderStateSet & | getSubRenderStateInstanceSet ()
| Return a set of all instances of the template SubRenderState.
const SubRenderStateSet & | getSubRenderStateInstanceSet () const
| Return a set of all instances of the template SubRenderState.

## Protected Member Functions

| SubRenderStateAccessor (const SubRenderState *templateSubRenderState)
| Construct SubRenderState accessor based on the given template SubRenderState.

## Protected Attributes

const SubRenderState * | mTemplateSubRenderState
SubRenderStateSet | mSubRenderStateInstancesSet

## Friends

class | SubRenderState

## Detailed Description

This class uses as accessor from a template SubRenderState to all of its instances that created based on it.

Since SubRenderState that added as templates to a RenderState are not directly used by the system this class enable accessing the used instances. A common usage will be add a SubRenderState to certain pass, obtain accessor and then call a method on the instanced SubRenderState that will trigger some GPU uniform parameter updates.

Definition at line 177 of file OgreShaderSubRenderState.h.

## Constructor & Destructor Documentation

Ogre::RTShader::SubRenderStateAccessor::SubRenderStateAccessor | ( | const SubRenderState * | templateSubRenderState | ) | `[protected]`

Construct SubRenderState accessor based on the given template SubRenderState.

Definition at line 208 of file OgreShaderSubRenderState.h.

## Member Function Documentation

void Ogre::RTShader::SubRenderStateAccessor::addSubRenderStateInstance | ( | SubRenderState * | subRenderState | ) | const

Add SubRenderState instance to this accessor.

Definition at line 182 of file OgreShaderSubRenderState.h.

SubRenderStateSet& Ogre::RTShader::SubRenderStateAccessor::getSubRenderStateInstanceSet | ( |  | ) |

Return a set of all instances of the template SubRenderState.

Definition at line 200 of file OgreShaderSubRenderState.h.

const SubRenderStateSet& Ogre::RTShader::SubRenderStateAccessor::getSubRenderStateInstanceSet | ( |  | ) | const

Return a set of all instances of the template SubRenderState.

(const version).

Definition at line 203 of file OgreShaderSubRenderState.h.

void Ogre::RTShader::SubRenderStateAccessor::removeSubRenderStateInstance | ( | SubRenderState * | subRenderState | ) | const

Remove SubRenderState instance to this accessor.

Definition at line 189 of file OgreShaderSubRenderState.h.

## Friends And Related Function Documentation

friend class SubRenderState`[friend]`

Definition at line 216 of file OgreShaderSubRenderState.h.

## Member Data Documentation

SubRenderStateSet Ogre::RTShader::SubRenderStateAccessor::mSubRenderStateInstancesSet`[mutable, protected]`

Definition at line 213 of file OgreShaderSubRenderState.h.

const SubRenderState* Ogre::RTShader::SubRenderStateAccessor::mTemplateSubRenderState`[protected]`

Definition at line 212 of file OgreShaderSubRenderState.h.

The documentation for this class was generated from the following file:

- OgreShaderSubRenderState.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:07